{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load widget_tweaks %}
{% load tag_color_tag %}
{% load status_tag %}
{% load md2 %}
{% load humanize %}
{% load price_tag %}
{% load check_group %}
{% block title %}Detalle del Servicio {{ service.number }}{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
		<li class="breadcrumb-item"><a href="{% url 'service-list' customer_pk=customer.pk %}">Servicios Contratados</a></li>
		<li class="breadcrumb-item"><a href="{% url 'service-detail' slug=service.pk %}">#{{ service.number }}</a></li>
    <li class="breadcrumb-item active">Estado de Cuenta</li>
	</ol>
	<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">#{{ service.number }} - {{ customer.name }}</h1>
<!-- end page-header -->

<ul class="nav nav-pills mb-2">
	<li class="nav-item {% add_active request 'service-detail' %}">
		<a href="{% url 'service-detail' slug=service.pk %}"class="nav-link">
			<span class="d-sm-none">General</span>
			<span class="d-sm-block d-none">General</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-network-detail' %}">
		<a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Red</span>
			<span class="d-sm-block d-none">Red</span>
		</a>
	</li>
	<!-- <li class="nav-item {% add_active request 'service-calls' %}">
		<a href="{% url 'service-calls' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Registro de Llamadas</span>
			<span class="d-sm-block d-none">Registro de Llamadas</span>
		</a>
	</li> -->
	<li class="nav-item {% add_active request 'service-gallery' %}">
			<a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Galería</span>
				<span class="d-sm-block d-none">Galería</span>
			</a>
		</li>
	<li class="nav-item {% add_active request 'service-documents' %}">
		<a href="{% url 'service-documents' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Documentos</span>
			<span class="d-sm-block d-none">Documentos</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-extras' %}">
		<a href="{% url 'service-extras' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Prefacturación</span>
			<span class="d-sm-block d-none">Prefacturación</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-promotions' %}">
        <a href="{% url 'service-promotions' service.slug %}" class="nav-link">
            <span class="d-sm-none">Promociones</span>
            <span class="d-sm-block d-none">Promociones</span>
        </a>
    </li> 
	<li class="nav-item {% add_active request 'service-plan-orders' %}">
		<a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Orden de Servicio</span>
			<span class="d-sm-block d-none">Orden de Servicio</span>
		</a>
	</li>
    <li class="nav-item {% add_active request 'service-configuration' %}">
        <a href="{% url 'service-configuration' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Configuración</span>
            <span class="d-sm-block d-none">Configuración</span>
        </a>
    </li>
	<li class="nav-item {% add_active request 'service-typify' %}">
		<a href="{% url 'service-typify' service.slug %}" class="nav-link">
			<span class="d-sm-none">Tipificaciones</span>
			<span class="d-sm-block d-none">Tipificaciones</span>
		</a>
	</li>
	<li class="nav-item">
			<a href="#" class="nav-link active">
				<span class="d-sm-none">Estado de Cuenta servicio</span>
				<span class="d-sm-block d-none">Estado de Cuenta servicio</span>
			</a>
		</li>
	<li class="nav-item {% add_active request 'invoice-list' %}">
		<a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
			<span class="d-sm-none">Estado de Cuenta cliente</span>
			<span class="d-sm-block d-none">Estado de Cuenta cliente</span>
		</a>
    </li>
      
</ul>
	

	  
	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Estados de Cuenta</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
          <div class="row mb-3">
              <div class="col-sm-12 col-md-12">
				
				{% if perms.customers.change_service %}
				
					<a class="btn btn-info dropdown-toggle" href="#" role="button" id="dropdownMenuLink{{number}}" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >Marcar todas las boletas como pagadas <span class="dropdown-menu-arrow"></span></a>
					<div class="dropdown-menu" aria-labelledby="dropdownMenuLink{{number}}" style="min-width: 6.5rem !important; ">
						<a class="dropdown-item" href="{% url 'mark-all-invoice-as-paid' slug=service.pk %}">Sí, estoy seguro</a>
					</div>
				
				{% endif %}
				{% if request.user|has_group:"Head Finanzas" or request.user|has_group:"Operador de finanzas" or request.user|has_group:"Coordinador de facturación"%}
				{% if perms.customers.add_invoice %}
					{% ifequal service.document_type 3 %}
						<a href="{% url 'invoice-create-service-nota' customer_pk=customer.pk slug=service.pk %}" class="btn btn-success btn-sm pull-right ml-1">Nueva Nota de venta</a>
					{% endifequal %}
                	<a href="{% url 'invoice-create-service' customer_pk=customer.pk slug=service.pk %}" class="btn btn-success btn-sm pull-right ml-1">Nueva Factura</a>
				{% endif %}
				{% endif %}
                {% if perms.customers.add_payment %}
                  <a href="{% url 'payment-create-service' customer_pk=customer.pk slug=service.pk %}" class="btn btn-primary btn-sm pull-right ml-1">Nuevo Pago</a>
				{% endif %}
              </div>
          </div>

          {% with service.get_statement as statement %}
          <div id="extra">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th>Fecha</th>
				  <th>Descripción</th>
				  <th>Monto Original</th>
                  <th>Cargo ({{service.plan.currency.symbol}})</th>
                  <th>Abono ({{service.plan.currency.symbol}})</th>
                  <th>Saldo ({{service.plan.currency.symbol}})</th>
                </tr>
              </thead>
              <tbody>
                {% for record in service.get_statement.records %}
                  <tr {% if not record.paid %} style="background-color:#CDCDCD"{% endif %}>
                    <td>{{ record.ts|date:"d-m-Y" }}</td>
                    <td><i class="fa fa-eye"></i> <a href="{{ record.absolute_url }}" class="text-{% if record.credit %}green{% else %}{% if True %}blue{% endif %}{% endif %}">{{ record.comment }}</a></td>
					<td>{% if record.original_charge %}{{ record.original_charge|price_tag }}{% endif %}{% if record.original_credit %}{{ record.original_credit|price_tag }}{% endif %}</td>
					<td>{% if record.charge %}{{ record.charge|price_tag }}{% endif %}</td>
                    <td>{% if record.credit %}{{ record.credit|price_tag }}{% endif %}</td>
                    <td>{{ record.balance|price_tag}}</td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
          {% endwith %}
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-12 -->
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
	{%else%}
		<!-- begin page-header -->
		<h1 class="page-header">  Servicio </h1>
		<!-- end page-header -->
	<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
		<h4 class="alert-heading" style=" text-align: center;">No encontrado</h4>
		<hr>
		<h5 class="mb-0">Cambie de operador o vuelva al listado.</h5>
	</div>
	{% endif %}
{% endblock %}

